AlternativeContentErrorEvent

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ocap.service
Class AlternativeContentErrorEvent

    java.lang.Object
      java.util.EventObject
          javax.tv.service.selection.ServiceContextEvent
              javax.tv.service.selection.PresentationChangedEvent
                  javax.tv.service.selection.AlternativeContentEvent
                      org.ocap.service.AlternativeContentErrorEvent

All Implemented Interfaces:
  Serializable

    public class AlternativeContentErrorEvent

extends AlternativeContentEvent

`AlternativeContentErrorEvent` is generated to indicate that "alternative" content is being presented due to an error that prevents the presentation of normal content as part of selection of a service and during presentation of that selected service.

This event will be generated instead of `SelectionFailedEvent` where normal content could not be presented due to the following situations:

- The parental control settings prevent it.
- The CA system refusing to permit it.
- The requested content could not be found in the network.
- The absence of a `ServiceContentHandler` required to present the requested service.
- Problems with tuning.

Such presentation failures are not considered selection failures.

This event will be generated instead of `PresentationTerminatedEvent` where normal content presentation could not continue due to the following situations:

- The parental control settings prevent it.
- The CA system refusing to permit it.
- Inability to locate the requested content on the network.
- The absence of a `ServiceContentHandler` required to present the requested service.
- Change of tuning information.

Such presentation failures do not terminate presentation and allow for restoration of normal content presentation after correction of the error condition.

Author:
  Aaron Kamienski
See Also:
  `SelectionFailedEvent`, `PresentationTerminatedEvent`, `AlternativeContentEvent`, Serialized Form

Field Summary
`static int` | `CA_REFUSAL` Reason code: Normal content could not be presented due to the CA system refusing to permit it.
`static int` | `CONTENT_NOT_FOUND` Reason code : Normal content could not be presented because the requested content could not be found in the network.
`static int` | `MISSING_HANDLER` Reason code : Normal content could not be presented due to absence of a `ServiceContentHandler` required to present the requested service's content.
`static int` | `RATING_PROBLEM` Reason code: Normal content could not be presented due to a parental control rating problem.
`static int` | `TUNING_FAILURE` Reason code : Normal content could not be presented due to problems with tuning.

Constructor Summary
`AlternativeContentErrorEvent(ServiceContext source, int reason)` Constructs an event with a reason code.

Method Summary
`int` | `getReason()` Reports the reason why alternative content is being presented.

Methods inherited from class javax.tv.service.selection.ServiceContextEvent
`getServiceContext`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### RATING_PROBLEM

    public static final int RATING_PROBLEM

  Reason code: Normal content could not be presented due to a parental control rating problem.

  See Also:
    Constant Field Values

### CA_REFUSAL

    public static final int CA_REFUSAL

  Reason code: Normal content could not be presented due to the CA system refusing to permit it.

  See Also:
    Constant Field Values

### CONTENT_NOT_FOUND

    public static final int CONTENT_NOT_FOUND

  Reason code : Normal content could not be presented because the requested content could not be found in the network.

  See Also:
    Constant Field Values

### MISSING_HANDLER

    public static final int MISSING_HANDLER

  Reason code : Normal content could not be presented due to absence of a `ServiceContentHandler` required to present the requested service's content.

  See Also:
    `ServiceContentHandler`, Constant Field Values

### TUNING_FAILURE

    public static final int TUNING_FAILURE

  Reason code : Normal content could not be presented due to problems with tuning. This includes lack of tuning information as well as errors encountered during tuning.

  See Also:
    Constant Field Values

Constructor Detail

### AlternativeContentErrorEvent

    public AlternativeContentErrorEvent(ServiceContext source,
                                        int reason)

  Constructs an event with a reason code.

  Parameters:
    `source` - The `ServiceContext` that generated the event.
    `reason` - The reason why alternative content is being presented.

Method Detail

### getReason

    public int getReason()

  Reports the reason why alternative content is being presented.

  Returns:
    The reason why alternative content is being presented. This SHALL be one of `RATING_PROBLEM`, `CA_REFUSAL`, `CONTENT_NOT_FOUND`, `MISSING_HANDLER`, or `TUNING_FAILURE`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD